<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Config Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="classConfig-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Config Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="config_8h_source.html">config.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Config:</div>
<div class="dyncontent">
<div class="center"><img src="classConfig__coll__graph.png" border="0" usemap="#Config_coll__map" alt="Collaboration graph"/></div>
<map name="Config_coll__map" id="Config_coll__map">
<area shape="rect" title=" " alt="" coords="5,5,241,303"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a7c8d622a452f6df38885608486e997f1"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classConfig.html#a7c8d622a452f6df38885608486e997f1">API_ENDPOINT</a> = &quot;localhost:9090&quot;</td></tr>
<tr class="separator:a7c8d622a452f6df38885608486e997f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79d0537ea072c7f13b21d1c46cecee89"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classConfig.html#a79d0537ea072c7f13b21d1c46cecee89">API_ENDPOINT_CREATE_GAME</a> = <a class="el" href="classConfig.html#a7c8d622a452f6df38885608486e997f1">Config::API_ENDPOINT</a> + &quot;/createGame&quot;</td></tr>
<tr class="separator:a79d0537ea072c7f13b21d1c46cecee89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0de521028c7f91e4781fbfc049113c6f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classConfig.html#a0de521028c7f91e4781fbfc049113c6f">API_ENDPOINT_JOIN_GAME</a> = <a class="el" href="classConfig.html#a7c8d622a452f6df38885608486e997f1">Config::API_ENDPOINT</a> + &quot;/joinGame&quot;</td></tr>
<tr class="separator:a0de521028c7f91e4781fbfc049113c6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17823373d286e665f20107893f692001"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classConfig.html#a17823373d286e665f20107893f692001">API_ENDPOINT_GAME_STATE</a> = <a class="el" href="classConfig.html#a7c8d622a452f6df38885608486e997f1">Config::API_ENDPOINT</a> + &quot;/gameState&quot;</td></tr>
<tr class="separator:a17823373d286e665f20107893f692001"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a141a025a3c5740359373180ab332b829"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classConfig.html#a141a025a3c5740359373180ab332b829">API_ENDPOINT_CHAT</a> = <a class="el" href="classConfig.html#a7c8d622a452f6df38885608486e997f1">Config::API_ENDPOINT</a> + &quot;/chat&quot;</td></tr>
<tr class="separator:a141a025a3c5740359373180ab332b829"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b12e4128da79037ce7c75b3ea31dfe1"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classConfig.html#a4b12e4128da79037ce7c75b3ea31dfe1">API_ENDPOINT_START_GAME</a> = <a class="el" href="classConfig.html#a7c8d622a452f6df38885608486e997f1">Config::API_ENDPOINT</a> + &quot;/startGame&quot;</td></tr>
<tr class="separator:a4b12e4128da79037ce7c75b3ea31dfe1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab52d7112fb6ce753a5c022d2931aa48"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classConfig.html#aab52d7112fb6ce753a5c022d2931aa48">API_ENDPOINT_ACTIVE_GAMES</a> = <a class="el" href="classConfig.html#a7c8d622a452f6df38885608486e997f1">Config::API_ENDPOINT</a> + &quot;/activeGames&quot;</td></tr>
<tr class="separator:aab52d7112fb6ce753a5c022d2931aa48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad257c68f09fca58d4ddfdcccafccf3c"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classConfig.html#aad257c68f09fca58d4ddfdcccafccf3c">API_ENDPOINT_NARRATOR_CHOICE</a> = <a class="el" href="classConfig.html#a7c8d622a452f6df38885608486e997f1">Config::API_ENDPOINT</a> + &quot;/narratorChoice&quot;</td></tr>
<tr class="separator:aad257c68f09fca58d4ddfdcccafccf3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac48d683f3b61ca6950e212bec86621dc"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classConfig.html#ac48d683f3b61ca6950e212bec86621dc">API_ENDPOINT_PLAYER_CHOICE</a> = <a class="el" href="classConfig.html#a7c8d622a452f6df38885608486e997f1">Config::API_ENDPOINT</a> + &quot;/playerChoice&quot;</td></tr>
<tr class="separator:ac48d683f3b61ca6950e212bec86621dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3636472dda4803eff661dcc0cbc5789d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classConfig.html#a3636472dda4803eff661dcc0cbc5789d">API_ENDPOINT_PLAYER_VOTE</a> = <a class="el" href="classConfig.html#a7c8d622a452f6df38885608486e997f1">Config::API_ENDPOINT</a> + &quot;/playerVote&quot;</td></tr>
<tr class="separator:a3636472dda4803eff661dcc0cbc5789d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a688c7386349a0f4e557dd6e1bf2addea"><td class="memItemLeft" align="right" valign="top">static const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classConfig.html#a688c7386349a0f4e557dd6e1bf2addea">SETTINGS_FILE</a> = &quot;settings.json&quot;</td></tr>
<tr class="separator:a688c7386349a0f4e557dd6e1bf2addea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b70a6c3ed2588aa0abeacf7a1639519"><td class="memItemLeft" align="right" valign="top">static constexpr int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classConfig.html#a9b70a6c3ed2588aa0abeacf7a1639519">SECOND</a> = 1000</td></tr>
<tr class="separator:a9b70a6c3ed2588aa0abeacf7a1639519"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abff1f5f8eaa47adfc20348d027b8ebbc"><td class="memItemLeft" align="right" valign="top">static constexpr int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classConfig.html#abff1f5f8eaa47adfc20348d027b8ebbc">HTTP_OK</a> = 200</td></tr>
<tr class="separator:abff1f5f8eaa47adfc20348d027b8ebbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a7c8d622a452f6df38885608486e997f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c8d622a452f6df38885608486e997f1">&#9670;&nbsp;</a></span>API_ENDPOINT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string Config::API_ENDPOINT = &quot;localhost:9090&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aab52d7112fb6ce753a5c022d2931aa48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab52d7112fb6ce753a5c022d2931aa48">&#9670;&nbsp;</a></span>API_ENDPOINT_ACTIVE_GAMES</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string Config::API_ENDPOINT_ACTIVE_GAMES = <a class="el" href="classConfig.html#a7c8d622a452f6df38885608486e997f1">Config::API_ENDPOINT</a> + &quot;/activeGames&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a141a025a3c5740359373180ab332b829"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a141a025a3c5740359373180ab332b829">&#9670;&nbsp;</a></span>API_ENDPOINT_CHAT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string Config::API_ENDPOINT_CHAT = <a class="el" href="classConfig.html#a7c8d622a452f6df38885608486e997f1">Config::API_ENDPOINT</a> + &quot;/chat&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a79d0537ea072c7f13b21d1c46cecee89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79d0537ea072c7f13b21d1c46cecee89">&#9670;&nbsp;</a></span>API_ENDPOINT_CREATE_GAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string Config::API_ENDPOINT_CREATE_GAME = <a class="el" href="classConfig.html#a7c8d622a452f6df38885608486e997f1">Config::API_ENDPOINT</a> + &quot;/createGame&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a17823373d286e665f20107893f692001"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17823373d286e665f20107893f692001">&#9670;&nbsp;</a></span>API_ENDPOINT_GAME_STATE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string Config::API_ENDPOINT_GAME_STATE = <a class="el" href="classConfig.html#a7c8d622a452f6df38885608486e997f1">Config::API_ENDPOINT</a> + &quot;/gameState&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0de521028c7f91e4781fbfc049113c6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0de521028c7f91e4781fbfc049113c6f">&#9670;&nbsp;</a></span>API_ENDPOINT_JOIN_GAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string Config::API_ENDPOINT_JOIN_GAME = <a class="el" href="classConfig.html#a7c8d622a452f6df38885608486e997f1">Config::API_ENDPOINT</a> + &quot;/joinGame&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aad257c68f09fca58d4ddfdcccafccf3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad257c68f09fca58d4ddfdcccafccf3c">&#9670;&nbsp;</a></span>API_ENDPOINT_NARRATOR_CHOICE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string Config::API_ENDPOINT_NARRATOR_CHOICE = <a class="el" href="classConfig.html#a7c8d622a452f6df38885608486e997f1">Config::API_ENDPOINT</a> + &quot;/narratorChoice&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac48d683f3b61ca6950e212bec86621dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac48d683f3b61ca6950e212bec86621dc">&#9670;&nbsp;</a></span>API_ENDPOINT_PLAYER_CHOICE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string Config::API_ENDPOINT_PLAYER_CHOICE = <a class="el" href="classConfig.html#a7c8d622a452f6df38885608486e997f1">Config::API_ENDPOINT</a> + &quot;/playerChoice&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3636472dda4803eff661dcc0cbc5789d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3636472dda4803eff661dcc0cbc5789d">&#9670;&nbsp;</a></span>API_ENDPOINT_PLAYER_VOTE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string Config::API_ENDPOINT_PLAYER_VOTE = <a class="el" href="classConfig.html#a7c8d622a452f6df38885608486e997f1">Config::API_ENDPOINT</a> + &quot;/playerVote&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4b12e4128da79037ce7c75b3ea31dfe1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b12e4128da79037ce7c75b3ea31dfe1">&#9670;&nbsp;</a></span>API_ENDPOINT_START_GAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string Config::API_ENDPOINT_START_GAME = <a class="el" href="classConfig.html#a7c8d622a452f6df38885608486e997f1">Config::API_ENDPOINT</a> + &quot;/startGame&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abff1f5f8eaa47adfc20348d027b8ebbc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abff1f5f8eaa47adfc20348d027b8ebbc">&#9670;&nbsp;</a></span>HTTP_OK</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr int Config::HTTP_OK = 200</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9b70a6c3ed2588aa0abeacf7a1639519"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b70a6c3ed2588aa0abeacf7a1639519">&#9670;&nbsp;</a></span>SECOND</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr int Config::SECOND = 1000</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a688c7386349a0f4e557dd6e1bf2addea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a688c7386349a0f4e557dd6e1bf2addea">&#9670;&nbsp;</a></span>SETTINGS_FILE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char * Config::SETTINGS_FILE = &quot;settings.json&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>frontend/src/lib/Main Window/<a class="el" href="config_8h_source.html">config.h</a></li>
<li>frontend/src/lib/Main Window/<a class="el" href="config_8cpp.html">config.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
